﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using Portal.Models.Supplier;
@using Portal.Models.Part;
@using Portal.Models.Globals;
@model Toyota.Common.Web.MVC.ModelHolder
<table width="100%" border="0" cellpadding="2" cellspacing="2">
    <tr>
        <td align="left" style="width: 50px">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Supplier";
                }).GetHtml()
        </td>
        <td align="left" style="width: 150px">
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "OIHSupplierOptionDb";
                    gridLookup.Width = 150;
                    gridLookup.GridProperties.KeyFieldName = "SUPPLIER_CODE";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "SupplierDb", Action = "PartialHeaderSupplierLookupGridSupplierDb" };//"PartialHeaderSupplierLookupGridSupplierInfo" };
                    if (Model.GetModel<List<Supplier>>().Count == 1)
                    {
                        gridLookup.Text = Model.GetModel<List<Supplier>>()[0].SUPPLIER_CODE;
                    }
                    

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_CODE";
                        column.FieldName = "SUPPLIER_CODE";
                        column.Caption = "Supplier<br /> Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_NAME";
                        column.FieldName = "SUPPLIER_NAME";
                        column.Caption = "Supplier<br />Name";
                        column.Width = Unit.Pixel(400);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(Model.GetModel<List<Supplier>>()).GetHtml()
        </td>
        <td align="left" style="width: 50px">
            @Html.Label("Status")
        </td>
        <td align="left">
              @Html.DevExpress().ComboBox(
                comboBox =>
                {
                    comboBox.Name = "txtStatus"; ;
                    comboBox.Properties.Items.Add("OK", "1");
                    comboBox.Properties.Items.Add("NG", "0");
                    comboBox.SelectedIndex = -1;
                    comboBox.Width = Unit.Pixel(110);
                }).GetHtml()
          
        </td>
        <td align="right">
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnSearchDb";
                    button.Text = "Search";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "SearchData";
                }
            ).GetHtml()
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnBackDb";
                    button.Text = "Clear";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "ClearItem";
                }
            ).GetHtml()
        </td>
    </tr>
</table>
@*<table cellpadding="2" cellspacing="2" width="99%">
    <tr>
        <td align="left">
            @Html.DevExpress().Label(
                    settings =>
                    {
                        settings.Text = "Upload";
                        settings.Name = "lblUpload";
                        settings.ControlStyle.CssClass = "Label";
                    }).GetHtml()
            @Html.DevExpress().UploadControl(
                    upload =>
                    {
                        upload.Name = "ucUploadFileDb";
                        upload.ShowAddRemoveButtons = false;
                        upload.ShowProgressPanel = true;
                        upload.ValidationSettings.MaxFileSize = 5000000;
                        upload.Width = System.Web.UI.WebControls.Unit.Pixel(280);
                        upload.Style.Add("display", "inline-table");
                    }).GetHtml()
            @Html.DevExpress().Button(
                    settings =>
                    {
                        settings.Name = "btnUploadDb";
                        settings.Text = "Upload";
                        settings.UseSubmitBehavior = true;
                        settings.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                        settings.Style.Add("display", "inline-table");
                    }).GetHtml()
            @Html.DevExpress().HyperLink(
                    settings =>
                    {
                        settings.Name = "SPDownloadTemplateLink";
                        settings.Properties.Text = "Download Template";
                        settings.Properties.Style.Font.Underline = true;
                        //settings.Properties.ClientSideEvents.Click = "OnSPDownloadTemplateLinkClick";
                        settings.ControlStyle.Cursor = "pointer";
                        settings.ControlStyle.VerticalAlign = VerticalAlign.Top;
                    }).GetHtml()
        </td>
    </tr>
</table>
*@